import { bundle } from "./build_deps/emit.ts";
import { ensureDir } from "./build_deps/fs.ts";

export const build = async (sourceMap = false) => {
	const b = await bundle("frontend/main.ts", {
		compilerOptions: {
			inlineSourceMap: sourceMap,
		},
	});

	await ensureDir("./build");
	await Deno.writeTextFile("./build/frontend.ts", `export const frontend = ${JSON.stringify(b.code)};`);
	await Deno.writeTextFile("./build/style.ts", `export const style = ${JSON.stringify(await Deno.readTextFile("frontend/style.css"))}`)
};
