import { object, record, string, literal, number } from "../common/deps/zod.ts";

const HttpService = object({
	type: literal("http"),
	url: string(),
	publicUrl: string().optional(),
});
export const Configuration = object({
	hostname: string().optional(),
	port: number().optional(),
	hosts: record(string()),
	services: record(HttpService),
});

export const load = async () => {
	const contents = await Deno.readTextFile("./config.json");
	const json = JSON.parse(contents);

	const config = await Configuration.parseAsync(json);

	return config;
}
